## ixo-usb-jtag 0.0.0+git20160908

=== debian/changelog ===
ixo-usb-jtag (0.0.0+git20160908-1) unstable; urgency=low

  * Initial upload. (Closes: #846185)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 Nov 2016 23:35:58 -0800
