=== debian/control ===
Source: ixo-usb-jtag
Maintainer: Stefano Rivera <stefanor@debian.org>
Section: embedded
Priority: optional
Build-Depends: debhelper (>= 9), sdcc
Standards-Version: 3.9.8
Homepage: https://github.com/mithro/ixo-usb-jtag
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ixo-usb-jtag.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ixo-usb-jtag.git

Package: ixo-usb-jtag
Architecture: all
Depends: ${misc:Depends}
Suggests: fxload
Description: Firmware for USB JTAG programmers
 This firmware allows a USB-capable microcontroller to act like an Altera
 USB-Blaster JTAG pod. Which in turn may allow you to use tools you'd normally
 use with the Altera USB-Blaster, including UrJTAG and openocd.
 .
 Supported hardware: The Cypress FX2 EZ-USB family, or an FTDI FT245 in
 combination with a CPLD. Builds are included for the hdmi2usb project's boards
 (Digilet Atlys and Numato Opsis).
