=== debian/rules ===
#!/usr/bin/make -f

HARDWARE=hw_basic hw_saxo_l hw_xpcu_i hw_xpcu_x hw_nexys hw_opsis

%:
	dh $@

override_dh_auto_build:
	mkdir -p output
	set -e; \
		for HW in $(HARDWARE); do \
			make clean; \
			make HARDWARE=$$HW; \
			cp usbjtag.hex output/$$HW.hex; \
		done

VER=$(shell dpkg-parsechangelog | sed -rne 's/^Version: (.+)-.*/\1/p')
get-packaged-orig-source:
	git clone https://github.com/mithro/ixo-usb-jtag
	set -xe; \
		GIT_DATE=$$(dpkg-parsechangelog | sed -rne 's/^Version: .*\+git(....)(..)(..)-.*/\1-\2-\3 00:00:00 UTC/p'); \
		cd ixo-usb-jtag; \
		GIT_COMMIT=$$(git rev-list -n1 --until="$$GIT_DATE" master); \
		git archive $$GIT_COMMIT --prefix=ixo-usb-jtag_$(VER).orig/ -o ../ixo-usb-jtag_$(VER).orig.tar
	xz -f ixo-usb-jtag_$(VER).orig.tar
	rm -rf ixo-usb-jtag
