## ixo-usb-jtag 0.0.1

=== debian/changelog ===
ixo-usb-jtag (0.0.1-2) unstable; urgency=medium

  * Migrate from sdcclib to sdar, fixing FTBFS with sdcc 3.9.
    (Closes: #963389)
  * Bump copyright years.
  * Bump debhelper compat level to 12.
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 27 Jun 2020 16:28:50 -0700

ixo-usb-jtag (0.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.
  * Migrate to salsa.debian.org.
  * Use upstream build system, it now supports building multiple targets.
  * Add compatibility symlinks for the files hdmi2usb-mode-switch expects.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 16 Jan 2018 12:27:16 +1100
