=== debian/control ===
Source: ixo-usb-jtag
Maintainer: Stefano Rivera <stefanor@debian.org>
Section: embedded
Priority: optional
Build-Depends: debhelper-compat (= 12), sdcc
Standards-Version: 4.5.0
Homepage: https://github.com/mithro/ixo-usb-jtag
Vcs-Git: https://salsa.debian.org/debian/ixo-usb-jtag.git
Vcs-Browser: https://salsa.debian.org/debian/ixo-usb-jtag
Rules-Requires-Root: no

Package: ixo-usb-jtag
Architecture: all
Depends: ${misc:Depends}
Suggests: fxload
Description: Altera Bus Blaster emulation using Cypress FX2 chip
 This firmware allows a USB-capable microcontroller to act like an Altera
 USB-Blaster JTAG pod. Which in turn may allow you to use tools you'd normally
 use with the Altera USB-Blaster, including UrJTAG and openocd.
 .
 Supported hardware: The Cypress FX2 EZ-USB family, or an FTDI FT245 in
 combination with a CPLD. Builds are included for the hdmi2usb project's boards
 (Digilet Nexys, Nexys2, Atlys and Numato Opsis).
