=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,7 @@
 #!/usr/bin/make -f
-
-HARDWARE=hw_basic hw_saxo_l hw_xpcu_i hw_xpcu_x hw_nexys hw_opsis
 
 %:
 	dh $@
-
-override_dh_auto_build:
-	mkdir -p output
-	set -e; \
-		for HW in $(HARDWARE); do \
-			make clean; \
-			make HARDWARE=$$HW; \
-			cp usbjtag.hex output/$$HW.hex; \
-		done
 
 VER=$(shell dpkg-parsechangelog | sed -rne 's/^Version: (.+)-.*/\1/p')
 get-packaged-orig-source:
