=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ixo-usb-jtag-$1.tar.gz%" \
 https://github.com/mithro/ixo-usb-jtag/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
